/*
  Copyright 2010 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef WXGRIDCELLTREEBUTTONEDITOR_H
#define WXGRIDCELLTREEBUTTONEDITOR_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <wx/dc.h>

#include "GridAccount.h"
#include "wxGridCellTreeButtonRenderer.h"

class wxGridCellTreeButtonEditor : public wxGridCellEditor
{
public:

    wxGridCellEditor*	Clone () const;

    void BeginEdit (int row, int col, wxGrid *grid);
    void Create (wxWindow *parent, wxWindowID id, wxEvtHandler *evtHandler);
    bool EndEdit (int row, int col, wxGrid *grid/*, const wxString &oldval, wxString *newval*/);
    void ApplyEdit (int row, int col, wxGrid *grid);
    void Reset () ;
    wxString GetValue() const ;
    void SetSize (const wxRect &rect);
    void Show (bool show, wxGridCellAttr *attr);

private:
    int _row, _col;
    wxGrid* _grid;
};

#endif
